curl --request POST \
--url https://api.pictify.io/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"html": "<string>",
"fabricJSData": {},
"width": 123,
"height": 123,
"type": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"variableDefinitions": [
{
"name": "<string>",
"type": "text",
"defaultValue": "<string>",
"description": "<string>",
"validation": {
"required": true,
"minLength": 123,
"maxLength": 123
}
}
],
"outputFormat": "image"
}
'{
"template": {
"uid": "<string>",
"name": "<string>",
"type": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"width": 123,
"height": 123,
"thumbnail": "<string>",
"outputFormat": "image",
"variableDefinitions": [
{
"name": "<string>",
"type": "text",
"defaultValue": "<string>",
"description": "<string>",
"validation": {
"required": true,
"minLength": 123,
"maxLength": 123
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}curl --request POST \
--url https://api.pictify.io/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"html": "<string>",
"fabricJSData": {},
"width": 123,
"height": 123,
"type": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"variableDefinitions": [
{
"name": "<string>",
"type": "text",
"defaultValue": "<string>",
"description": "<string>",
"validation": {
"required": true,
"minLength": 123,
"maxLength": 123
}
}
],
"outputFormat": "image"
}
'{
"template": {
"uid": "<string>",
"name": "<string>",
"type": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"width": 123,
"height": 123,
"thumbnail": "<string>",
"outputFormat": "image",
"variableDefinitions": [
{
"name": "<string>",
"type": "text",
"defaultValue": "<string>",
"description": "<string>",
"validation": {
"required": true,
"minLength": 123,
"maxLength": 123
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}API key obtained from the Pictify dashboard
Template created
Show child attributes